Package com.independentsoft.office.spreadsheet.connections

# Class OlapProperties

java.lang.Object
com.independentsoft.office.spreadsheet.connections.OlapProperties

public class OlapProperties extends Object
The Class OlapProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OlapProperties()`
  Instantiates a new olap properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OlapProperties`
  `clone()`
  `String`
  `getLocalConnection()`
  Gets the local connection.
  `int`
  `getRowDrillCount()`
  Gets the row drill count.
  `boolean`
  `isLocal()`
  Checks if is local.
  `boolean`
  `isLocalRefresh()`
  Checks if is local refresh.
  `boolean`
  `isSendLocale()`
  Checks if is send locale.
  `boolean`
  `isServerFill()`
  Checks if is server fill.
  `boolean`
  `isServerFont()`
  Checks if is server font.
  `boolean`
  `isServerFontColor()`
  Checks if is server font color.
  `boolean`
  `isServerNumberFormat()`
  Checks if is server number format.
  `void`
  `setLocal​(boolean local)`
  Sets the local.
  `void`
  `setLocalConnection​(String localConnection)`
  Sets the local connection.
  `void`
  `setLocalRefresh​(boolean localRefresh)`
  Sets the local refresh.
  `void`
  `setRowDrillCount​(int rowDrillCount)`
  Sets the row drill count.
  `void`
  `setSendLocale​(boolean sendLocale)`
  Sets the send locale.
  `void`
  `setServerFill​(boolean serverFill)`
  Sets the server fill.
  `void`
  `setServerFont​(boolean serverFont)`
  Sets the server font.
  `void`
  `setServerFontColor​(boolean serverFontColor)`
  Sets the server font color.
  `void`
  `setServerNumberFormat​(boolean serverNumberFormat)`
  Sets the server number format.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OlapProperties

    public OlapProperties()
    Instantiates a new olap properties.

- ## Method Details

  - ### clone

    public OlapProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isLocal

    public boolean isLocal()
    Checks if is local.
    Returns:
      true, if is local

  - ### setLocal

    public void setLocal​(boolean local)
    Sets the local.
    Parameters:
      `local` - the new local

  - ### getLocalConnection

    public String getLocalConnection()
    Gets the local connection.
    Returns:
      the local connection

  - ### setLocalConnection

    public void setLocalConnection​(String localConnection)
    Sets the local connection.
    Parameters:
      `localConnection` - the new local connection

  - ### isLocalRefresh

    public boolean isLocalRefresh()
    Checks if is local refresh.
    Returns:
      true, if is local refresh

  - ### setLocalRefresh

    public void setLocalRefresh​(boolean localRefresh)
    Sets the local refresh.
    Parameters:
      `localRefresh` - the new local refresh

  - ### getRowDrillCount

    public int getRowDrillCount()
    Gets the row drill count.
    Returns:
      the row drill count

  - ### setRowDrillCount

    public void setRowDrillCount​(int rowDrillCount)
    Sets the row drill count.
    Parameters:
      `rowDrillCount` - the new row drill count

  - ### isSendLocale

    public boolean isSendLocale()
    Checks if is send locale.
    Returns:
      true, if is send locale

  - ### setSendLocale

    public void setSendLocale​(boolean sendLocale)
    Sets the send locale.
    Parameters:
      `sendLocale` - the new send locale

  - ### isServerFill

    public boolean isServerFill()
    Checks if is server fill.
    Returns:
      true, if is server fill

  - ### setServerFill

    public void setServerFill​(boolean serverFill)
    Sets the server fill.
    Parameters:
      `serverFill` - the new server fill

  - ### isServerFont

    public boolean isServerFont()
    Checks if is server font.
    Returns:
      true, if is server font

  - ### setServerFont

    public void setServerFont​(boolean serverFont)
    Sets the server font.
    Parameters:
      `serverFont` - the new server font

  - ### isServerFontColor

    public boolean isServerFontColor()
    Checks if is server font color.
    Returns:
      true, if is server font color

  - ### setServerFontColor

    public void setServerFontColor​(boolean serverFontColor)
    Sets the server font color.
    Parameters:
      `serverFontColor` - the new server font color

  - ### isServerNumberFormat

    public boolean isServerNumberFormat()
    Checks if is server number format.
    Returns:
      true, if is server number format

  - ### setServerNumberFormat

    public void setServerNumberFormat​(boolean serverNumberFormat)
    Sets the server number format.
    Parameters:
      `serverNumberFormat` - the new server number format